--- title: "Get glossary list" slug: "papago-glossarylist" tags: ["Papago Translation"] updated: 2026-09-17T09:35:51Z published: 2026-09-17T09:35:51Z canonical: "api.ncloud-docs.com/papago-glossarylist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get glossary list Available in Classic and VPC Get the list of glossaries. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | - | ### Request headers For information about the headers common to all Papago Translation APIs, see [Papago Translation request headers](/docs/en/ai-naver-papagonmt#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `currentPage` | Integer | Required | Current page number | | `pageSize` | Integer | Required | Number of glossary outputs per page - Maximum value: 30 | ### Request example The request example is as follows: ``` curl --location --request GET 'https://papago.apigw.ntruss.com/glossary/v1/?currentPage=1&pageSize=20' \ --header 'x-ncp-apigw-timestamp: {x-ncp-apigw-timestamp}' \ --header 'x-ncp-iam-access-key: {x-ncp-iam-access-key}' \ --header 'x-ncp-apigw-signature-v2: {x-ncp-apigw-signature-v2}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `data` | Array | - | Glossary list query details: [data](/docs/en/papago-glossarylist#data) | | `currentPage` | Integer | - | Current page number | | `totalPage` | Integer | - | Total number of pages | | `currentGlossaryCount` | Integer | - | Number of glossaries on current page | | `totalGlossaryCount` | Integer | - | Total number of glossaries | #### `data` The following describes `data`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `glossaryKey` | String | - | Glossary ID | | `glossaryName` | String | - | Glossary name | | `wordCount` | Integer | - | Total number of terms in glossary | | `description` | String | - | Glossary description | | `createdDateTime` | Integer | - | Glossary creation date and time (timestamp) | | `updatedDateTime` | Integer | - | Glossary last update date and time (timestamp) | ### Response status codes For information about the HTTP status codes common to all Papago Translation APIs, see [Papago Translation response status codes](/docs/en/ai-naver-papagonmt#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "data": [ { "glossaryKey": "{glossaryKey}", "glossaryName": "GlossaryTest1", "wordCount": 6, "description": "This is a description of the GlossaryTest1 glossary.", "createdDateTime": 1724209126000, "updatedDateTime": 1724216780000 } ], "currentPage": 1, "totalPage": 1, "currentGlossaryCount": 1, "totalGlossaryCount": 1 } ```